# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "plerkle_serialization"
version = "3.0.0"
authors = ["Metaplex Developers <dev@metaplex.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Metaplex Flatbuffers Plerkle Serialization for Geyser plugin producer/consumer patterns."
readme = "Readme.md"
license = "AGPL-3.0"
repository = "https://github.com/metaplex-foundation/digital-asset-validator-plugin"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[lib]
name = "plerkle_serialization"
path = "src/lib.rs"

[dependencies.bs58]
version = "0.4.0"

[dependencies.chrono]
version = "0.4.22"

[dependencies.flatbuffers]
version = "23.1.21"

[dependencies.serde]
version = "1.0.152"

[dependencies.solana-message]
version = "3.0.0"

[dependencies.solana-sdk]
version = "3.0.0"

[dependencies.solana-transaction-status]
version = "3.0.0"

[dependencies.thiserror]
version = "1.0.38"
